Loading...
Searching...
No Matches
D2< DiffScheme > Struct Template Reference

`#include <openvdb/math/FiniteDifference.h>`

## Static Public Member Functions

template<typename Accessor>
static Accessor::ValueType | inX (const Accessor &grid, const Coord &ijk)
template<typename Accessor>
static Accessor::ValueType | inY (const Accessor &grid, const Coord &ijk)
template<typename Accessor>
static Accessor::ValueType | inZ (const Accessor &grid, const Coord &ijk)
template<typename Accessor>
static Accessor::ValueType | inXandY (const Accessor &grid, const Coord &ijk)
template<typename Accessor>
static Accessor::ValueType | inXandZ (const Accessor &grid, const Coord &ijk)
template<typename Accessor>
static Accessor::ValueType | inYandZ (const Accessor &grid, const Coord &ijk)
template<typename Stencil>
static Stencil::ValueType | inX (const Stencil &S)
template<typename Stencil>
static Stencil::ValueType | inY (const Stencil &S)
template<typename Stencil>
static Stencil::ValueType | inZ (const Stencil &S)
template<typename Stencil>
static Stencil::ValueType | inXandY (const Stencil &S)
template<typename Stencil>
static Stencil::ValueType | inXandZ (const Stencil &S)
template<typename Stencil>
static Stencil::ValueType | inYandZ (const Stencil &S)

## Member Function Documentation

## inX() [1/2]

template<DDScheme DiffScheme>
template<typename Accessor>

Accessor::ValueType inX | ( | const Accessor & | grid,
|  | const Coord & | ijk )

static

## inX() [2/2]

template<DDScheme DiffScheme>
template<typename Stencil>

Stencil::ValueType inX | ( | const Stencil & | S | ) |

static

## inXandY() [1/2]

template<DDScheme DiffScheme>
template<typename Accessor>

Accessor::ValueType inXandY | ( | const Accessor & | grid,
|  | const Coord & | ijk )

static

## inXandY() [2/2]

template<DDScheme DiffScheme>
template<typename Stencil>

Stencil::ValueType inXandY | ( | const Stencil & | S | ) |

static

## inXandZ() [1/2]

template<DDScheme DiffScheme>
template<typename Accessor>

Accessor::ValueType inXandZ | ( | const Accessor & | grid,
|  | const Coord & | ijk )

static

## inXandZ() [2/2]

template<DDScheme DiffScheme>
template<typename Stencil>

Stencil::ValueType inXandZ | ( | const Stencil & | S | ) |

static

## inY() [1/2]

template<DDScheme DiffScheme>
template<typename Accessor>

Accessor::ValueType inY | ( | const Accessor & | grid,
|  | const Coord & | ijk )

static

## inY() [2/2]

template<DDScheme DiffScheme>
template<typename Stencil>

Stencil::ValueType inY | ( | const Stencil & | S | ) |

static

## inYandZ() [1/2]

template<DDScheme DiffScheme>
template<typename Accessor>

Accessor::ValueType inYandZ | ( | const Accessor & | grid,
|  | const Coord & | ijk )

static

## inYandZ() [2/2]

template<DDScheme DiffScheme>
template<typename Stencil>

Stencil::ValueType inYandZ | ( | const Stencil & | S | ) |

static

## inZ() [1/2]

template<DDScheme DiffScheme>
template<typename Accessor>

Accessor::ValueType inZ | ( | const Accessor & | grid,
|  | const Coord & | ijk )

static

## inZ() [2/2]

template<DDScheme DiffScheme>
template<typename Stencil>

Stencil::ValueType inZ | ( | const Stencil & | S | ) |

static